<template>
  <div class="purchasFuelNewMonitor">
    <div class="frameCalculation">
      <span>计皮时间：</span>
      <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <span>至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="exportData()"
        ><i class="el-icon-download"></i>导出(Excel)</el-button
      >
      <span style="margin-left: 1rem;">合计净重：</span>
      <el-input v-model="totalNumber" :disabled="true" style="width: 100px;"></el-input>
      <span style="margin-left: 1rem;">合计车数：</span>
      <el-input v-model="totalCapacity" :disabled="true" style="width: 100px;"></el-input>
    </div>
    <div class="table">
      <dilTable ref="excelDom" v-bind.sync="option" @func="func"></dilTable>
    </div>
  </div>
</template>

<script>
import { sjTime } from "@/utils/sharedJsFile";
import { getCookie } from '@/utils/util.js';
export default {
  data() {
    return {
      totalNumber:null,
      totalCapacity:null,
      option: {
        requestUrl:'',
      },
      startTime: null,
      endTime: null,
      tableTitle: "零星进厂统计报表",
    };
  },   
  created() {
    if (
      getCookie("orgCode") == "dagangadmin" ||
      getCookie("orgCode") == "zidonghuabu"
    ) {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&startTime=null&endTime=null&i=" +
        new Date();
    } else if (getCookie("orgCode") == "wuliuchuyunzhongxin") {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=425&orderType=12&startTime=null&endTime=null&i=" +
        new Date();
    }else {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&userId=" +
        getCookie("orgCode") +
        "&startTime=null&endTime=null&i=" +
        new Date();
    }
  },
  methods: {
     func(res){
        console.log(res)
        var resultNetWeightTotal = 0
        var currentCapacityTotal = 0
        res.list.forEach(e => {
          currentCapacityTotal++
          resultNetWeightTotal = resultNetWeightTotal+e.resultNetWeight
        });
        this.totalNumber = resultNetWeightTotal.toFixed(2) + "t"
        this.totalCapacity = currentCapacityTotal;
    },
    getRequestUrl(){
        if (
      getCookie("orgCode") == "dagangadmin" ||
      getCookie("orgCode") == "zidonghuabu"
    ) {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&startTime=null&endTime=null&i=" +
        new Date();
    } else if (getCookie("orgCode") == "wuliuchuyunzhongxin") {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=425&orderType=12&startTime=null&endTime=null&i=" +
        new Date();
    }else {
      this.option.requestUrl =
        "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&userId=" +
        getCookie("orgCode") +
        "&startTime=null&endTime=null&i=" +
        new Date();
    }
    },
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if (startTime && endTime) {
        if (startTime < endTime) {
          if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date();
          }else if(getCookie("orgCode") == "wuliuchuyunzhongxin"){
          this.option.requestUrl = "/api/v1/tms/getSporadicSuppliesReport1?apiId=424&orderType=13&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
          }else{
          this.option.requestUrl = '/api/v1/tms/getSporadicSuppliesReport1?apiId=424&userId=' + getCookie("orgCode") +"&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
          }
        } else {
          this.startTime = null;
          this.endTime = null;
          this.$message.warning("开始时间要比结束时间早");
        }
      } else {
        this.getRequestUrl()
      }
    },
  },
};
</script>

<style lang="scss">
.purchasFuelNewMonitor {
  .frameCalculation {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    padding-left: 50px;
    .el-date-editor {
      margin: 20px;
    }
  }
}
</style>